using UnityEngine;

public abstract class Weapon : ScriptableObject
{
    public string DisplayName;

	public void Fire(WeaponHolder owner)
	{
		FireInternal(owner);
	}

    protected abstract void FireInternal(WeaponHolder owner);
}
